# gdcm::Value Class Reference

Class to represent the value of a Data Element. More...

`#include <gdcmValue.h>`

Inheritance diagram for gdcm::Value:
[legend]
Collaboration diagram for gdcm::Value:
[legend]

List of all members.

## Public Member Functions

| Value ()
| ~Value ()
virtual void | Clear ()=0
virtual VL | GetLength () const =0
virtual bool | operator== (const Value &val) const =0
virtual void | SetLength (VL l)=0

## Detailed Description

Class to represent the value of a Data Element.

Note:
  VALUE: A component of a Value Field. A Value Field may consist of one or more of these components.

## Constructor & Destructor Documentation

gdcm::Value::Value | ( |  | ) | `[inline]`

gdcm::Value::~Value | ( |  | ) | `[inline]`

## Member Function Documentation

virtual void gdcm::Value::Clear | ( |  | ) | `[pure virtual]`

Implemented in gdcm::ByteValue, gdcm::SequenceOfFragments, and gdcm::SequenceOfItems.

virtual VL gdcm::Value::GetLength | ( |  | ) | const`[pure virtual]`

Implemented in gdcm::ByteValue, gdcm::SequenceOfFragments, and gdcm::SequenceOfItems.

Referenced by gdcm::DataSet::InsertDataElement(), and gdcm::DataElement::SetValue().

virtual bool gdcm::Value::operator== | ( | const Value & | val | ) | const`[pure virtual]`

Implemented in gdcm::ByteValue, gdcm::SequenceOfFragments, and gdcm::SequenceOfItems.

virtual void gdcm::Value::SetLength | ( | VL | l | ) | `[pure virtual]`

Implemented in gdcm::ByteValue, gdcm::SequenceOfFragments, and gdcm::SequenceOfItems.

The documentation for this class was generated from the following file:

- gdcmValue.h